clear
xam
snr=-5;
u1z=awgn(u1,snr); 
ypsd1z=pwelch(u1z);
w1=(Fc-50)*2/Fs;
w2=(Fc+50)*2/Fs;
[b,a]=butter(5,[w1,w2]);
u1zd=filter(b,a,u1z);
ypsd1d=pwelch(u1zd);
sum(ypsd1d)
n=0:(length(ypsd1z)-1);
f=n*Fs/2/(length(ypsd1z)-1);
figure(1)
subplot(4,1,1)
plot(u1z)
title('带通滤波器输入信号')
subplot(4,1,2)
plot(f,ypsd1z);
title('带通滤波器输入信号功率谱')
subplot(4,1,3)
plot(u1zd)
title('带通滤波器输出信号')
subplot(4,1,4)
plot(f,ypsd1d);
title('带通滤波器输出信号功率谱')